LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XStatusIndicatorFactory Interface Referencepublished

provides multiple, probably parallel running, status indicator objects More...

`import"XStatusIndicatorFactory.idl";`

Inheritance diagram for XStatusIndicatorFactory:

## Public Member Functions
com::sun::star::task::XStatusIndicator | createStatusIndicator ()
| create a new status indicator instance More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides multiple, probably parallel running, status indicator objects

A possible factory is the com::sun::star::frame::Frame service.

See also
  com::sun::star::frame::Frame

Developers Guide
  OfficeDev - Component - Frames - XStatusIndicatorFactory

## Member Function Documentation

## ◆ createStatusIndicator()

com::sun::star::task::XStatusIndicator createStatusIndicator | ( |  | ) |

create a new status indicator instance

Returns
  the new indicator

The documentation for this interface was generated from the following file:

- com/sun/star/task/XStatusIndicatorFactory.idl